#import <Cocoa/Cocoa.h>

@class XeeController,XeeDirectoryController,XeeKeyboardShortcuts;

@interface XeeDelegate:NSObject
{
	NSNib *directorynib,*clipboardnib;
	BOOL filesopened;

	IBOutlet NSMenu *openmenu;
	IBOutlet NSMenu *editmenu;
	IBOutlet NSMenu *viewmenu;
	IBOutlet NSMenuItem *copyitem;
	IBOutlet NSMenuItem *pasteitem;
	IBOutlet NSMenuItem *statusitem;

	IBOutlet NSWindow *prefswindow;
	IBOutlet NSTabView *prefstabs;
	IBOutlet NSTabViewItem *formattab;

	IBOutlet XeeController *windowcontroller;
	IBOutlet XeeKeyboardShortcuts *shortcuts;
}


-(void)awakeFromNib;

-(XeeKeyboardShortcuts *)shortcuts;

-(void)applicationDidFinishLaunching:(NSNotification *)notification;

-(BOOL)application:(NSApplication *)app openFile:(NSString *)filename;
-(IBAction)openDocument:(id)sender;

-(void)menuNeedsUpdate:(NSMenu *)menu;
-(BOOL)menuHasKeyEquivalent:(NSMenu *)menu forEvent:(NSEvent *)event target:(id *)target action:(SEL *)action;
-(void)buildOpenMenu:(NSMenu *)menu;
-(void)updateDefaultEditorItem;
-(NSString *)defaultEditor;
-(void)setDefaultEditor:(NSString *)app;
-(IBAction)setDefaultEditorFromMenu:(id)sender;
-(void)updateEditMenu:(NSMenu *)menu;
-(void)updateViewMenu:(NSMenu *)menu;

-(BOOL)validateMenuItem:(id <NSMenuItem>)item;

-(void)paste:(id)sender;

-(IBAction)keyboardShortvuts:(id)sender;
-(IBAction)openSupportThread:(id)sender;
-(IBAction)openHomePage:(id)sender;

-(IBAction)dummy:(id)sender;

-(XeeDirectoryController *)newDirectoryWindow;
-(XeeController *)newClipboardWindow;
-(id)instantiateWindowFromNib:(NSNib *)nib;

-(BOOL)xeeFocus;

@end

@interface XeeApplication:NSApplication
{
}

-(void)sendEvent:(NSEvent *)event;

@end
